# Uses of Interface
javax.xml.stream.util.XMLEventConsumer

Packages that use XMLEventConsumer
Package
Description
javax.xml.stream
Defines interfaces and classes for the Streaming API for XML (StAX).
javax.xml.stream.util
Provides utility classes for the Streaming API for XML (StAX).

- ## Uses of XMLEventConsumer in javax.xml.stream

  Subinterfaces of XMLEventConsumer in javax.xml.stream
  Modifier and Type
  Interface
  Description
  `interface`
  `XMLEventWriter`
  This is the top level interface for writing XML documents.

- ## Uses of XMLEventConsumer in javax.xml.stream.util

  Methods in javax.xml.stream.util with parameters of type XMLEventConsumer
  Modifier and Type
  Method
  Description
  `void`
  XMLEventAllocator.`allocate(XMLStreamReader reader, XMLEventConsumer consumer)`
  This method allocates an event or set of events given the current state of the XMLStreamReader and adds the event or set of events to the consumer that was passed in.